#!/usr/bin/python
import urllib
import sys

from BeautifulSoup import BeautifulSoup


opener = urllib.FancyURLopener()


def fetch(url):
    assert url.startswith("https://")
    quoted_url = urllib.quote(url, "")
    return opener.open(url).read()


def main(args):
    while True:
        url = sys.stdin.readline().strip()
        if not url:
            break
        data = fetch(url)
        try:
            # Support for +bugs-text URLs.
            bugs = [int(bug) for bug in data.split()]
        except ValueError:
            # Alright, let's try to parse a table of bugs.
            bugs = []
            soup = BeautifulSoup(data)
            for td in soup.findAll("td", attrs={"class": "amount"}):
                try:
                    id = int(td.string)
                except (TypeError, ValueError):
                    pass
                bugs.append(id)
        bugs.sort()
        print " ".join(str(bug) for bug in bugs)
        sys.stdout.flush()


if __name__ == "__main__":
    main(sys.argv[1:])
